Quikrbox - Api issues - Bug #8433

If only 1 item is available in stock then it should not allow to add more quantities in cart. It should
give error on add product qty screen instead of cart screen

11/07/2023 04:48 PM - priyanka Sharma

Status: Feedback Start date: 11/07/2023
Priority: Normal Due date:

Assignee: Irfan Varis % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

For 1 gty it should be :-

Sorry, only 1 item is available in stock.

For more than 1 gty message should be :-

Only 10 items are available in stock. You cannot add more than that quantity
16:46 v ReB4dB

Error

Thin Crust Pepperoni and Vegetable Pizza

have only 1 quantity remaining

D Use QuikrBox Wallet
Wallet Balance F1200

Price Breakdown

Items total Z1761.52
Applied GST g317.07
Service Charge g17.62
Delivery Fee Z50.0
Order Total 22146.21

() Return Policy
Qrders one placed cannot be returned of exchan..

Tip your delivery partner

Your kindness means a lot! 100% of your tip will go
directly to your delivery partner.
History

#1 - 11/07/2023 11:03 PM - Himanshu khare

- Status changed from New to Feedback

api issue
#2 - 11/08/2023 10:36 AM - priyanka Sharma
- Project changed from Quikrbox User app to Quikrbox - Api issues
- Status changed from Feedback to New

- Assignee changed from Himanshu khare to Irfan Varis

#3 - 11/27/2023 12:23 PM - Irfan Varis

This is not APl issue. API can only return the error message. API can't manage screen to display error.

#4 - 11/27/2023 12:23 PM - Irfan Varis

- Status changed from New to Resolved

#5 - 11/27/2023 12:30 PM - Irfan Varis

- Status changed from Resolved to Feedback
